//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef EVENTPRT_H
#define EVENTPRT_H

//=======================================================================
#ifndef _EVENTDEF_
#include "EventDef.h"
#endif

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

//=======================================================================
class FW_CLASS_ATTR FW_CPart;
class FW_CLASS_ATTR FW_CPresentation;

//=======================================================================
#ifdef FW_BUILD_WIN16
extern HANDLE far gWinInstance;		// Initialized by LibMain
#endif

//=======================================================================
class FW_CLASS_ATTR CEventPart : public FW_CPart {
public:
						CEventPart(ODPart* odPart);
	virtual 			~CEventPart();
	static const ODValueType 	kPartKind;
	static const ODValueType 	kPartUserName;
// overrides
protected:
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
};

//=======================================================================
#endif
