//	File:		EventStrs.fr
//
//	Contains:	Common (Platform independent) resources for Event part
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"		// [HLX]
#endif

#ifndef EVENTDEF_H
#include "EventDef.h"
#endif

//----------------------------------------------------------------------------
//	Strings for Event Menu
//----------------------------------------------------------------------------
// resource MULTISTRING (kEventStringsResID) [HLX]
resource FW_kMULTISTRING (kEventStringsResID)
{
	// Event menu
	kEventMenuString, 	"EventMenu";
	// menu items
	kGreetingItemString,	"Greetings";
	kGoodbyeItemString,		"Goodbye";
	kTestItemString,		"Test Command";
	// drawn by frame
	kGreetingString,		"Greetings, ";
	kGoodbyeString,			"Goodbye, ";
	kMacString,				"Macintosh";
	kWinString,				"Windows";
}

//----------------------------------------------------------------------------
//	Strings for About box
//----------------------------------------------------------------------------
// resource MULTISTRING (kAboutBoxStringsResID) [HLX]
resource FW_kMULTISTRING (kAboutBoxStringsResID)
{
    kAboutMenuString,	"About Event...";
	kEventPartString,	"Event Part";
	kCreditString,		"Simple Event Part";
}
